# class Chef::Resource::HttpRequest

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/http_request.rb, line 28
    def initialize(name, run_context=nil)
      super
      @resource_name = :http_request
      @message = name
      @url = nil
      @action = :get
      @headers = {}
      @allowed_actions.push(:get, :put, :post, :delete, :head, :options)
    end

### Public Instance Methods

headers(args=nil) click to toggle source

    # File lib/chef/resource/http_request.rb, line 55
    def headers(args=nil)
      set_or_return(
        :headers,
        args,
        :kind_of => Hash
      )
    end

message(args=nil, &block) click to toggle source

    # File lib/chef/resource/http_request.rb, line 46
    def message(args=nil, &block)
      args = block if block_given?
      set_or_return(
        :message,
        args,
        :kind_of => Object
      )
    end

url(args=nil) click to toggle source

    # File lib/chef/resource/http_request.rb, line 38
    def url(args=nil)
      set_or_return(
        :url,
        args,
        :kind_of => String
      )
    end